# Uses of Class
org.eclipse.emf.spi.cdo.InternalCDOTransaction.ApplyChangeSetResult

Packages that use InternalCDOTransaction.ApplyChangeSetResult
Package
Description
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of InternalCDOTransaction.ApplyChangeSetResult in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return InternalCDOTransaction.ApplyChangeSetResult
Modifier and Type
Method
Description
`InternalCDOTransaction.ApplyChangeSetResult`
InternalCDOTransaction.`applyChangeSet(CDOChangeSetData changeSetData, CDORevisionProvider resultBaseProvider, CDORevisionProvider targetProvider, CDOBranchPoint source, boolean keepVersions)`
Applies a goal change set whose NEW, CHANGED, and DETACHED classifications are defined relative to `resultBaseProvider`.